IMG_CreateAnimationDecoder_IO(3)

NAME
IMG_CreateAnimationDecoder_IO - Create a decoder to read a series of images from an IOStream.

SYNOPSIS
#include <SDL3_image/SDL_image.h>

IMG_AnimationDecoder * IMG_CreateAnimationDecoder_IO(SDL_IOStream *src, bool closeio, const char *type);

DESCRIPTION
These animation types are currently supported:

• ANI

• APNG

• AVIFS

• GIF

• WEBP

If closeio is true, src will be closed before returning if this function fails, or when the animation decoder is closed if this function succeeds.

FUNCTION PARAMETERS

src an SDL_IOStream containing a series of images.

closeio
    true to close the SDL_IOStream when done, false to leave it open.

type
    a filename extension that represent this data ("WEBP", etc).

RETURN VALUE
Returns a new IMG_AnimationDecoder, or NULL on failure; call SDL_GetError() for more information.

AVAILABILITY
This function is available since SDL_image 3.4.0.

SEE ALSO
IMG_CreateAnimationDecoder(3), IMG_CreateAnimationDecoderWithProperties(3), IMG_GetAnimationDecoderFrame(3), IMG_ResetAnimationDecoder(3), IMG_CloseAnimationDecoder(3)